Create a package

Creates a new package.

post
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

This class is used to present the package command request data transfer object.

codestring · min: 1Required

The code of the package.

namestring · min: 1Required

The name of the package.

imageURLstring · uri · nullableOptional

The image URL of the package.

patternAvatarURLstring · uri · nullableOptional

The pattern avatar URL of the package.

stylesstring · nullableOptional

The styles of the package. This value is a JSON string.

descriptionstring · nullableOptional

The description of the package.

tagsstring · nullableOptional

The tags of the package.

tierinteger · int32 · nullableOptional

The tier of the package.

zOrderinteger · int64 · nullableOptional

The order of the package.

isDefaultbooleanOptional

Flag to indicate if the package is default. By default, the value is false.

statusstring · enumOptional

This enum is used to define the common status of an object in JFW.

Supported values:

  • Inactive - In case of JFW object's status being inactive.
  • Active - In case of JFW object's status being active
Possible values:
Responses
post
/api/v1/packages

Last updated